WordPress MULTIDOTS Add Social Share Messenger Buttons Whatsapp and Viber插件跨站请求伪造漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1212490 漏洞类型 跨站请求伪造
发布时间 2018-05-31 更新时间 2018-06-11
CVE编号 CVE-2018-11632 CNNVD-ID CNNVD-201805-1170
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201805-1170
|漏洞详情
WordPress是WordPress软件基金会的一套使用PHP语言开发的博客平台,该平台支持在PHP和MySQL的服务器上架设个人博客网站。MULTIDOTS Add Social Share Messenger Buttons Whatsapp and Viber plugin是使用在其中的一个用于在页面中添加社交分享按钮的插件。 WordPress MULTIDOTS Add Social Share Messenger Buttons Whatsapp and Viber插件1.0.8版本中存在跨站请求伪造漏洞,该漏洞源于‘whatsapp_share_setting_add_update()’函数没有对随机数(nonce)或用户权限执行检测。远程攻击者可通过诱使用户访问特制的URL利用该漏洞更改插件设置。
|参考资料

来源:labs.threatpress.com

链接:http://labs.threatpress.com/cross-site-request-forgery-csrf-in-add-social-share-messenger-buttons-whatsapp-and-viber-plugin/


来源:wordpress.org

链接:https://wordpress.org/plugins/add-social-share-buttons/#developers